Bug 447890 - regular expression error within hardware plugin
regular expression error within hardware plugin
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos (Show other bugs)
5.3
All Linux
urgent Severity high
: rc
: ---
Assigned To: Adam Stokes
: ZStream
Depends On:
Blocks: 391501 447891 455720
  Show dependency treegraph
 
Reported: 2008-05-22 06:55 EDT by Adam Stokes
Modified: 2010-10-22 21:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:41:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Stokes 2008-05-22 06:55:56 EDT
Description of problem:
--- snip ---
# FIXME: what is this for?
tmpreg = ""
for hwmodule in commands.getoutput('cat /lib/modules/$(uname -r)/modules.pcimap
| cut -d " " -f 1 | grep "[:alpha:]" | sort -u').split("n"):
--- snip ---

Form "[:alpha:]" outputs keywords which contain only "a", "l", "p", "h", "a" and
":".
If hardware.py output keywords which contain alphabet, form should be "[[:alpha:]]".

Version-Release number of selected component (if applicable):
1.7.9

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 RHEL Product and Program Management 2008-06-02 15:57:40 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 errata-xmlrpc 2009-01-20 16:41:40 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0171.html

Note You need to log in before you can comment on or make changes to this bug.